
<chapter fileref="xmlgen.xml">
 <title>Xmlgen
 </title>
 <subtitle>Writing XML with Tcl
 </subtitle>
 <chapterinfo>
  <revhistory>
   <revision>
    <revnumber>1.1
    </revnumber>
    <date>2002-05-27
    </date>
    <authorinitials>HK
    </authorinitials>
   </revision>
  </revhistory>
 </chapterinfo>
 <para>The Tcl package xmlgen allows to write Tcl code which translates
    itself into XML.
 </para>
 <section>
  <title>Introduction
  </title>
  <para>Every tag is made into a markup command which takes attributes and
      the element's content as parameters and then prints the XML tagged
      content. Of course, the content again can contain markup
      commands.
  </para>
  <para>On top of xmlgen there is the package htmlgen which comes with all
      the typical HTML tags predefined as markup commands. In addition,
      htmlgen::extra contains what you could call markup macros. A
      markup macro's syntax resembles the syntax of a markup command but
      creates not just a pair of tags with content but a whole structure
      of tags nested always in the same way. Currently
      htmlgen::extra::tab and htmlgen::extra::sidenav implement common
      navigation structures for HTML sites.
  </para>
 </section>
 <section>
  <title>Download and Installation
  </title>
  <para>You find the package on the 
      <ulink url="http://sourceforge.net/projects/tclxml/">TclXML</ulink>
      page at SourceForge. Installation instructions are included, but
      since no compilation is required, installation is not much more
      than copying files to certain places.
  </para>
 </section>
 <section>
  <title>Documentation
  </title>
  <para>The <ulink url="xmlgen/xmlgen.html">manual pages</ulink> are available
      online.
  </para>
 </section>
</chapter>
